curl --request GET \
--url https://api.staging.payrails.io/dispute/disputes/{disputeId}/evidences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/dispute/disputes/{disputeId}/evidences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/dispute/disputes/{disputeId}/evidences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.staging.payrails.io/dispute/disputes/bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869/evidences?page[after]=qf7pnbyfrr&page[size]=2",
"prev": "https://api.staging.payrails.io/dispute/disputes/bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869/evidences?page[before]=hbe66nh8i8&page[size]=2",
"next": "https://api.staging.payrails.io/dispute/disputes/bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869/evidences?page[after]=xk2h55zsy5&page[size]=2",
"first": "https://api.staging.payrails.io/dispute/disputes/bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869/evidences?page[size]=2",
"last": "https://api.staging.payrails.io/dispute/disputes/bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869/evidences?page[before]=9wkueqcavq&page[size]=2"
},
"results": [
{
"id": "cf398647-890a-442f-ba49-3776d5f6229e",
"createdAt": "2026-01-13T16:20:11.699603Z",
"updatedAt": "2026-01-13T21:26:55.757444Z",
"disputeId": "bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"displayTitle": "evidence_invoice.jpg",
"status": "Active",
"provenance": "Merchant",
"contentType": "application/pdf"
},
{
"id": "1746359e-5674-5bc2-94ea-2efa5d415753",
"createdAt": "2026-01-13T16:20:11.699603Z",
"updatedAt": "2026-01-13T21:26:55.757444Z",
"disputeId": "bfa98e50-9ae0-42ac-bcc7-e1bd22b2f869",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"displayTitle": "evidence_defense.jpg",
"status": "Active",
"provenance": "Merchant"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Search & list Evidences
Fetch a list of Evidences.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the Dispute.
Query Parameters
Filter for a list of evidences by ID.
Filter for a list of evidences by dispute ID.
Filter for a list of evidences by status.
Filter for a list of evidences by provenance.
Filter for a list of evidences by display title.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Dispute in Payrails.
Date and time when the Dispute was created in Payrails.
Date and time when the Dispute was last updated in Payrails.
Display title of the evidence, usually the file name.
Status of the dispute evidence.
Active, Inactive, Unknown Provenance of the dispute evidence.
Merchant, Payrails, Unknown MIME type of the evidence content.
Size of the evidence content in bytes.
Inline JSON payload for inline-context evidences. Present only for evidences created from inlineContexts; omitted for file-backed evidence.
Workspace ID that the Dispute belongs to.
Labels assigned to this evidence for the dispute, used to categorise the document during representment.